View Issue Details

This bug affects 1 person(s).
 16
IDProjectCategoryView StatusLast Update
17476Bug reportsSurvey editingpublic2021-09-07 18:54
Reporterzufolo441 Assigned Top_teichmann  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Summary17476: error Invalid argument supplied for foreach() in tokens.php(2584) when I reimport old Tokens
DescriptionI had to correct line from

 foreach ($archivedTableSettingsArray as $archivedTableSetting) {
                if ($archivedTableSetting === 'unknown') {
                   $tokenencryptionoptions = $tokenencryptionoptionsOld;
                 }
            }

to

 foreach ((array) $archivedTableSettingsArray as $archivedTableSetting) {
                if ($archivedTableSetting === 'unknown') {
                   $tokenencryptionoptions = $tokenencryptionoptionsOld;
                 }
            }


I don't know if the solution is right or there is a problem regarding the array itself.
TagsNo tags attached.
Bug heat16
Complete LimeSurvey version number (& build)5.0.10
I will donate to the project if issue is resolvedNo
BrowserFirefox 90
Database type & versionPostgreSQL 12
Server OS (if known)FreeBSD 13
Webserver software & version (if known)Apache 2.4
PHP VersionPHP 7.4

Relationships

has duplicate 17568 closedp_teichmann PHP Error[2]: Invalid argument supplied for foreach() ... updatedb_helper.php at line 4954 / function decryptArchivedTables450 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

zufolo441

zufolo441

2021-09-06 08:43

reporter   ~66330

Hi people, I noticed today that this bug is still present. Is there any news about it?
Many Thanks!
p_teichmann

p_teichmann

2021-09-07 10:15

administrator   ~66373

Hello, a fix will be included in the next release. Latest, the update will be deployed Monday next week.
c_schmitz

c_schmitz

2021-09-07 18:54

administrator   ~66385

New version released.

Issue History

Date Modified Username Field Change
2021-07-26 15:00 zufolo441 New Issue
2021-09-06 08:43 zufolo441 Note Added: 66330
2021-09-06 08:43 zufolo441 Bug heat 0 => 2
2021-09-06 08:59 c_schmitz Assigned To => c_schmitz
2021-09-06 08:59 c_schmitz Status new => assigned
2021-09-06 08:59 c_schmitz Assigned To c_schmitz => p_teichmann
2021-09-07 10:12 p_teichmann Relationship added has duplicate 17568
2021-09-07 10:12 p_teichmann Bug heat 2 => 14
2021-09-07 10:15 p_teichmann Note Added: 66373
2021-09-07 10:26 c_schmitz Status assigned => resolved
2021-09-07 10:26 c_schmitz Resolution open => fixed
2021-09-07 15:22 c_schmitz Bug heat 14 => 16
2021-09-07 18:54 c_schmitz Status resolved => closed
2021-09-07 18:54 c_schmitz Note Added: 66385